Public Member Functions | Static Public Member Functions

# wxImageHistogram Class Reference

`#include <wx/image.h>`

## Public Member Functions
| wxImageHistogram ()
bool | FindFirstUnusedColour (unsigned char *r, unsigned char *g, unsigned char *b, unsigned char startR=1, unsigned char startG=0, unsigned char startB=0) const
## Static Public Member Functions
static unsigned long | MakeKey (unsigned char r, unsigned char g, unsigned char b)

List of all members.

## Constructor & Destructor Documentation

wxImageHistogram::wxImageHistogram | ( |  | ) |

## Member Function Documentation

bool wxImageHistogram::FindFirstUnusedColour | ( | unsigned char * | r,
|  | unsigned char * | g,
|  | unsigned char * | b,
|  | unsigned char | startR = `1`,
|  | unsigned char | startG = `0`,
|  | unsigned char | startB = `0` |
| ) |  |  | const

static unsigned long wxImageHistogram::MakeKey | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  | `[static]`

|  | [ top ]